#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	extra-cmake-modules
Version		:	5.109.0
Release		:	14.8.0.0%{?dist}
Summary		:	Additional modules for CMake build system
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://download.kde.org/stable/frameworks

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
The Extra CMake Modules package, or ECM, adds to the modules provided by CMake,
including ones used by ``find_package()`` to find common software, ones that
can be used directly in ``CMakeLists.txt`` files to perform common tasks and
toolchain files that must be specified on the commandline by the user.

In addition, it provides common build settings used in software produced by the
KDE community.

While the driving force of this module is to reduce duplication in CMake scripts
across KDE software, it is intended to be useful for any software that uses the
CMake build system.

For more information visit the documentation at https://api.kde.org/ecm/

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING-CMAKE-SCRIPTS README.md
%{_datadir}/ECM/*/*.cmake
%{_datadir}/ECM/kde-modules/*/clang-format.sh
%{_datadir}/ECM/kde-modules/*/pre-commit.in
%{_datadir}/ECM/*/*.py*
%{_datadir}/ECM/*/*.{in,xml}
%{_datadir}/ECM/modules/ECMQmlModule.*.license

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

sed -i 									\
  -e '/"lib64"/s/64//'							\
  kde-modules/KDEInstallDirs.cmake

sed -i									\
  -e '/PACKAGE_INIT/i set(SAVE_PACKAGE_PREFIX_DIR "${PACKAGE_PREFIX_DIR}")'\
  -e '/^include/a set(PACKAGE_PREFIX_DIR "${SAVE_PACKAGE_PREFIX_DIR}")' \
  ECMConfig.cmake.in

%{__mkdir_p} build
pushd build

cmake									\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}				\
	-DBUILD_HTML_DOCS:BOOL=OFF					\
	-DBUILD_MAN_DOCS:BOOL=OFF					\
	-DBUILD_TESTING:BOOL=OFF					\
	..

popd

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}								\
	-C build							\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%changelog
